Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.util
Class FileUtil

    java.lang.Object
      fr.jayasoft.ivy.util.FileUtil

public class FileUtil
extends java.lang.Object

Author:
  x.hanin

Constructor Summary
`FileUtil()`

Method Summary
`static void` | `copy(java.io.File src, java.io.File dest, CopyProgressListener l)`
`static void` | `copy(java.io.File src, java.io.File dest, CopyProgressListener l, boolean overwrite)`
`static void` | `copy(java.io.InputStream src, java.io.File dest, CopyProgressListener l)`
`static void` | `copy(java.io.InputStream src, java.io.OutputStream dest, CopyProgressListener l)`
`static void` | `copy(java.net.URL src, java.io.File dest, CopyProgressListener l)`
`static java.lang.String` | `readEntirely(java.io.BufferedReader in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtil

    public FileUtil()

Method Detail

### copy

    public static void copy(java.io.File src,
                            java.io.File dest,
                            CopyProgressListener l)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### copy

    public static void copy(java.io.File src,
                            java.io.File dest,
                            CopyProgressListener l,
                            boolean overwrite)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### copy

    public static void copy(java.net.URL src,
                            java.io.File dest,
                            CopyProgressListener l)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### copy

    public static void copy(java.io.InputStream src,
                            java.io.File dest,
                            CopyProgressListener l)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### copy

    public static void copy(java.io.InputStream src,
                            java.io.OutputStream dest,
                            CopyProgressListener l)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### readEntirely

    public static java.lang.String readEntirely(java.io.BufferedReader in)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD